summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author John Vogel <jvogel4@stny.rr.com>2015-01-23 05:33:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-23 05:33:57 +0700
commita3cda6f1f319b8c747930f9416ee613007bd55ff (patch)
treef1880062acebbe1e14b96b69e3933d8c9e7c616a
parent210913c7a57b6c6cb11a10b29cf75731aa8a9416 (diff)
downloadslackbuilds-a3cda6f1f319b8c747930f9416ee613007bd55ff.tar.gz
slackbuilds-a3cda6f1f319b8c747930f9416ee613007bd55ff.tar.xz
development/bmake: Added (port of BSD make).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/bmake/README14
-rw-r--r--development/bmake/bmake.SlackBuild122
-rw-r--r--development/bmake/bmake.info10
-rw-r--r--development/bmake/slack-desc19
4 files changed, 165 insertions, 0 deletions
diff --git a/development/bmake/README b/development/bmake/README
new file mode 100644
index 0000000000..d04cc55bcd
--- /dev/null
+++ b/development/bmake/README
@@ -0,0 +1,14 @@
+bmake is a port of the BSD make tool (from NetBSD).
+
+Version 3 was re-worked from scratch to better facilitate
+importing newer make(1) versions from NetBSD. The original code base
+was NetBSD-1.0, so version 3 was built by doing a fresh import of the
+NetBSD-1.0 usr.bin/make, adding the autoconf and other portability
+patches to sync it with bmake v2, and then NetBSD's make
+of Feb 20, 2000 was imported and conflicts dealt with.
+NetBSD's make was again imported on June 6 and December 15, 2000.
+
+In 2003 bmake switched to a date based version (first was 20030714)
+which generally represents the date it was last merged with NetBSD's
+make. Since then, NetBSD's make is imported within a week of any
+interesting changes, so that bmake tracks it very closely.
diff --git a/development/bmake/bmake.SlackBuild b/development/bmake/bmake.SlackBuild
new file mode 100644
index 0000000000..98860a903e
--- /dev/null
+++ b/development/bmake/bmake.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+# Slackware build script for bmake
+
+# Copyright 2015 John Vogel Corning, NY USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bmake
+VERSION=${VERSION:-20141111}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+DOCS="ChangeLog README LICENSE"
+
+# The current build system does not respect a large portion of
+# the standard configure flags, but leave them in the hopes that
+# someday it will.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-default-sys-path=/usr/share/mk-$PRGNAM \
+ --build=$ARCH-slackware-linux
+
+# Override the build system's installation permissions.
+#install -d -m 755 $PKG/usr/bin
+#install -d -m 755 $PKG/usr/share/man/man1
+#install -d -m 755 $PKG/usr/share/mk
+make install DESTDIR=$PKG MANTARGET=man MAKESYSPATH=/usr/share/mk-$PRGNAM
+
+# Override the build system's installation locations.
+mv $PKG/usr/share/man $PKG/usr
+mv $PKG/usr/share/mk $PKG/usr/share/mk-$PRGNAM
+
+# Fix permissions of installed files.
+find -L $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+head -n70 main.c > LICENSE
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bmake/bmake.info b/development/bmake/bmake.info
new file mode 100644
index 0000000000..801da7687c
--- /dev/null
+++ b/development/bmake/bmake.info
@@ -0,0 +1,10 @@
+PRGNAM="bmake"
+VERSION="20141111"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.htm"
+DOWNLOAD="http://www.crufty.net/ftp/pub/sjg/bmake-20141111.tar.gz"
+MD5SUM="7bdcae1d1ff68d942d9dfe922d1043b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="John Vogel"
+EMAIL="jvogel4@stny.rr.com"
diff --git a/development/bmake/slack-desc b/development/bmake/slack-desc
new file mode 100644
index 0000000000..6acb5eb057
--- /dev/null
+++ b/development/bmake/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bmake: bmake (port of BSD make)
+bmake:
+bmake: bmake is a port of the BSD make tool (from NetBSD).
+bmake:
+bmake: homepage: http://www.crufty.net/help/sjg/bmake.htm
+bmake:
+bmake:
+bmake:
+bmake:
+bmake:
+bmake: